<?php

namespace App\Controllers;


class Reporte extends BaseController
{
	
	public function fechaspagonoconciliado()
	{		
		echo view("layouts/header");
		echo view("layouts/aside");
		echo view("reporte/fechaspagonoconciliados");
		echo view("layouts/footer");

	}
	public function fechaspago()
	{		
		echo view("layouts/header");
		echo view("layouts/aside");
		echo view("reporte/fechaspago");
		echo view("layouts/footer");

	}
	public function pagonoconciliado()
	{		
	    $session = \Config\Services::session($config);
		if(!empty($this->request->getPost('fechadesde')) && !empty($this->request->getPost('selectfecha')) && !empty($this->request->getPost('fechahasta'))){
			$fecha_desde=$this->request->getPost('fechadesde');
			$fecha_hasta=$this->request->getPost('fechahasta');
			$tipo_busqueda=$this->request->getPost('selectfecha');
			$datos_reporte = $this->getpagonoconciliado($fecha_desde,$fecha_hasta,$tipo_busqueda);
			$datos_reporte_no_conciliado=array(
				'datos_reporte'=>!empty($datos_reporte['data'])?$datos_reporte['data']:null,
			);
			$session->set($datos_reporte_no_conciliado);
			echo view("layouts/header");
			echo view("layouts/aside");
			echo view("reporte/reportepagonoconciliado",$datos_reporte_no_conciliado);
			echo view("layouts/footer");
		}else{
			return redirect()->to(base_url('Reporte/fechaspagonoconciliado'));
		}
	}
	public function pago()
	{		
	    $session = \Config\Services::session($config);
		if(!empty($this->request->getPost('fechadesde')) && !empty($this->request->getPost('selectfecha')) && !empty($this->request->getPost('fechahasta'))){
			$fecha_desde=$this->request->getPost('fechadesde');
			$fecha_hasta=$this->request->getPost('fechahasta');
			$tipo_busqueda=$this->request->getPost('selectfecha');
			$datos_reporte = $this->getpago($fecha_desde,$fecha_hasta,$tipo_busqueda);
			$datos_reporte_no_conciliado=array(
				'datos_reporte'=>!empty($datos_reporte['data'])?$datos_reporte['data']:null,
			);
			$session->set($datos_reporte_no_conciliado);
			echo view("layouts/header");
			echo view("layouts/aside");
			echo view("reporte/reportepago",$datos_reporte_no_conciliado);
			echo view("layouts/footer");
		}else{
			return redirect()->to(base_url('Reporte/fechaspago'));
		}
	}
	public function fechasmayorconciliado()
	{		
		echo view("layouts/header");
		echo view("layouts/aside");
		echo view("reporte/fechasmayorconciliado");
		echo view("layouts/footer");

	}
	public function mayorconciliado(){  
		

		if(!empty($this->request->getPost('fechadesde')) && !empty($this->request->getPost('selectfecha')) && !empty($this->request->getPost('fechahasta'))){
			$fecha_desde=$this->request->getPost('fechadesde');
			$fecha_hasta=$this->request->getPost('fechahasta');
			$tipo_busqueda=$this->request->getPost('selectfecha');
			//print_r($fecha_desde+' '+$fecha_hasta+' '+$tipobusqueda);
			$datos_reporte = $this->getreportemayorconciliado($fecha_desde,$fecha_hasta,$tipo_busqueda);
			$datos_reporte_mayor_conciliado=array(
				'datos_reporte'=>!empty($datos_reporte['data'])?$datos_reporte['data']:null,
			);
			echo view("layouts/header");
			echo view("layouts/aside");
			echo view("reporte/reportemayorconciliado",$datos_reporte_mayor_conciliado);
			echo view("layouts/footer");
		}else{
			return redirect()->to(base_url('Reporte/fechasmayorconciliado'));
		}
		
	}
	public function fechasmayornoconciliado()
	{		
		echo view("layouts/header");
		echo view("layouts/aside");
		echo view("reporte/fechasmayornoconciliado");
		echo view("layouts/footer");

	}
	
	public function fechasmayor()
	{		
		echo view("layouts/header");
		echo view("layouts/aside");
		echo view("reporte/fechasmayor");
		echo view("layouts/footer");

	}
	
	public function mayor(){  
		
        $session = \Config\Services::session($config);
		if(!empty($this->request->getPost('fechadesde')) && !empty($this->request->getPost('fechahasta'))){
			$fecha_desde=$this->request->getPost('fechadesde');
			$fecha_hasta=$this->request->getPost('fechahasta');
			$datos_reporte = $this->getreportemayor($fecha_desde,$fecha_hasta);
			$datos_reporte_mayor=array(
				'datos_reporte'=>!empty($datos_reporte['data'])?$datos_reporte['data']:null,
			);
			$session->set($datos_reporte_mayor);
			echo view("layouts/header");
			echo view("layouts/aside");
			echo view("reporte/reportemayor",$datos_reporte_mayor);
			echo view("layouts/footer");
		}else{
			return redirect()->to(base_url('Reporte/fechasmayor'));
		}
		
	}
	
	public function mayornoconciliado(){  
		
        $session = \Config\Services::session($config);
		if(!empty($this->request->getPost('fechadesde')) && !empty($this->request->getPost('fechahasta'))){
			$fecha_desde=$this->request->getPost('fechadesde');
			$fecha_hasta=$this->request->getPost('fechahasta');
			$datos_reporte = $this->getreportemayornoconciliado($fecha_desde,$fecha_hasta);
			$datos_reporte_mayor_no_conciliado=array(
				'datos_reporte'=>!empty($datos_reporte['data'])?$datos_reporte['data']:null,
			);
			$session->set($datos_reporte_mayor_no_conciliado);
			echo view("layouts/header");
			echo view("layouts/aside");
			echo view("reporte/reportemayornoconciliado",$datos_reporte_mayor_no_conciliado);
			echo view("layouts/footer");
		}else{
			return redirect()->to(base_url('Reporte/fechaspagonoconciliado'));
		}
		
	}
	public function fechascircularizacion()
	{		
		echo view("layouts/header");
		echo view("layouts/aside");
		echo view("reporte/fechascircularizacion");
		echo view("layouts/footer");

	}
	public function reporcircularizacion()
	{		
        if(/*!empty($this->request->getPost('mes')) && !empty($this->request->getPost('selecttipo'))*/1==1){
			$mes=$this->request->getPost('mes');
			$tipo=$this->request->getPost('selecttipo');
			$fecha_desde=date("Y-m-d",strtotime($mes));
			$fecha_hasta=date("Y-m-t",strtotime($mes));
			if($tipo=='pagos')
			{
    			$datos_reporte = $this->gethistorialpagodetalle($fecha_desde,$fecha_hasta);
    			$datos_reporte_circularizacion=array(
    				'datos_reporte'=>!empty($datos_reporte['data'])?$datos_reporte['data']:null,
    			);
    			echo view("layouts/header");
    			echo view("layouts/aside");
    			echo view("reporte/reportecircularizacion",$datos_reporte_circularizacion);
    			echo view("layouts/footer");
			}
			else
			{
			    $datos_reporte = $this->gethistorialventa($fecha_desde,$fecha_hasta);
    			$datos_reporte_circularizacion=array(
    				'datos_reporte'=>!empty($datos_reporte['data'])?$datos_reporte['data']:null,
    			);
    			echo view("layouts/header");
    			echo view("layouts/aside");
    			echo view("reporte/reportecircularizacionventa",$datos_reporte_circularizacion);
    			echo view("layouts/footer");
			}
		}else{
			return redirect()->to(base_url('Reporte/fechascircularizacion'));
		}
		
		
	}

	public function getreportemayorconciliado($desde,$hasta, $tipobusqueda){
		$datos_post = http_build_query(
			array(
				"desde"=> $desde,
				"hasta"=> $hasta,
				"tipobusqueda"=>$tipobusqueda
			)
		);

		$opciones = array('http' =>
			array(
				'method'  => 'POST',
				'header'  => 'Content-type: application/x-www-form-urlencoded',
				'content' => $datos_post
			)
		);

		$contexto = stream_context_create($opciones);
		$resultado = file_get_contents($this->url_api_conciliacion.'reportemayorconciliado', false, $contexto);
		$resultado=json_decode($resultado,true);  
		if(!empty($resultado)){
			return $resultado;
		}else{
			return null;
		}
	}
	public function getreportemayornoconciliado($desde,$hasta){
		$datos_post = http_build_query(
			array(
				"desde"=> $desde,
				"hasta"=> $hasta,
			)
		);

		$opciones = array('http' =>
			array(
				'method'  => 'POST',
				'header'  => 'Content-type: application/x-www-form-urlencoded',
				'content' => $datos_post
			)
		);

		$contexto = stream_context_create($opciones);
		$resultado = file_get_contents($this->url_api_conciliacion.'ventamayornoconciliado', false, $contexto);
		$resultado=json_decode($resultado,true);  
		if(!empty($resultado)){
			return $resultado;
		}else{
			return null;
		}
	}
    public function fechascentavos()
	{		
		echo view("layouts/header");
		echo view("layouts/aside");
		echo view("reporte/fechascentavos");
		echo view("layouts/footer");

	}
	public function saldoscentavos(){  
		

		if(!empty($this->request->getPost('fechadesde')) && !empty($this->request->getPost('fechahasta'))){
			$fecha_desde=$this->request->getPost('fechadesde');
			$fecha_hasta=$this->request->getPost('fechahasta');
			$datos_reporte = $this->getreportesaldoscentavos($fecha_desde,$fecha_hasta,$tipo_busqueda);
			$datos_reporte_saldos_centavos=array(
				'datos_reporte'=>!empty($datos_reporte['data'])?$datos_reporte['data']:null,
			);
			echo view("layouts/header");
			echo view("layouts/aside");
			echo view("reporte/reportesaldoscentavos",$datos_reporte_saldos_centavos);
			echo view("layouts/footer");
		}else{
			return redirect()->to(base_url('Reporte/fechascentavos'));
		}
		
	}
	public function getreportesaldoscentavos($desde,$hasta){
		$datos_post = http_build_query(
			array(
				"desde"=> $desde,
				"hasta"=> $hasta,
			)
		);

		$opciones = array('http' =>
			array(
				'method'  => 'POST',
				'header'  => 'Content-type: application/x-www-form-urlencoded',
				'content' => $datos_post
			)
		);

		$contexto = stream_context_create($opciones);
		$resultado = file_get_contents($this->url_api_conciliacion.'reportesaldoscentavos', false, $contexto);
		$resultado=json_decode($resultado,true);  
		if(!empty($resultado)){
			return $resultado;
		}else{
			return null;
		}
	}
	
    public function getreportemayor($desde,$hasta){
		$datos_post = http_build_query(
			array(
				"desde"=> $desde,
				"hasta"=> $hasta,
			)
		);

		$opciones = array('http' =>
			array(
				'method'  => 'POST',
				'header'  => 'Content-type: application/x-www-form-urlencoded',
				'content' => $datos_post
			)
		);

		$contexto = stream_context_create($opciones);
		$resultado = file_get_contents($this->url_api_conciliacion.'ventamayor', false, $contexto);
		$resultado=json_decode($resultado,true);  
		if(!empty($resultado)){
			return $resultado;
		}else{
			return null;
		}
	}
	
	public function getpagonoconciliado($desde,$hasta,$tipo_busqueda){
		$datos_post = http_build_query(
			array(
				"desde"=> $desde,
				"hasta"=> $hasta,
				"tipobusqueda"=> $tipo_busqueda,
			)
		);

		$opciones = array('http' =>
			array(
				'method'  => 'POST',
				'header'  => 'Content-type: application/x-www-form-urlencoded',
				'content' => $datos_post
			)
		);

		$contexto = stream_context_create($opciones);
		$resultado = file_get_contents($this->url_api_conciliacion.'reportepagonoconciliado', false, $contexto);
		$resultado=json_decode($resultado,true);  
		if(!empty($resultado)){
			return $resultado;
		}else{
			return null;
		}
	}
	public function getpago($desde,$hasta,$tipo_busqueda){
		$datos_post = http_build_query(
			array(
				"desde"=> $desde,
				"hasta"=> $hasta,
				"tipobusqueda"=> $tipo_busqueda,
			)
		);

		$opciones = array('http' =>
			array(
				'method'  => 'POST',
				'header'  => 'Content-type: application/x-www-form-urlencoded',
				'content' => $datos_post
			)
		);

		$contexto = stream_context_create($opciones);
		$resultado = file_get_contents($this->url_api_conciliacion.'reportepago', false, $contexto);
		$resultado=json_decode($resultado,true);  
		if(!empty($resultado)){
			return $resultado;
		}else{
			return null;
		}
	}
	public function gethistorialpagodetalle($desde,$hasta){
		
		$datos_post = http_build_query(
			array(
				"desde"=> $desde,
				"hasta"=> $hasta,
				"tipobusqueda"=> $tipo_busqueda,
			)
		);

		$opciones = array('http' =>
			array(
				'method'  => 'POST',
				'header'  => 'Content-type: application/x-www-form-urlencoded',
				'content' => $datos_post
			)
		);

		$contexto = stream_context_create($opciones);
		$resultado = file_get_contents($this->url_api_conciliacion.'historialpagodetalle', false, $contexto);
		$resultado=json_decode($resultado,true);  
		if(!empty($resultado)){
			return $resultado;
		}else{
			return null;
		}
	}
	public function gethistorialventa($desde,$hasta){
		
		$datos_post = http_build_query(
			array(
				"desde"=> $desde,
				"hasta"=> $hasta,
			)
		);

		$opciones = array('http' =>
			array(
				'method'  => 'POST',
				'header'  => 'Content-type: application/x-www-form-urlencoded',
				'content' => $datos_post
			)
		);

		$contexto = stream_context_create($opciones);
		$resultado = file_get_contents($this->url_api_conciliacion.'historialventa', false, $contexto);
		$resultado=json_decode($resultado,true);  
		if(!empty($resultado)){
			return $resultado;
		}else{
			return null;
		}
	}
}